Call for testing: GIMP


#44

Still no support for 32bit…


#45

I assume you mean i386 binaries support.

This won’t happen until the build service includes i386 building capability, which it currently does not.


#46

But why did you need it? I seen several snaps that I can install right now, e.g. Peek.


#47

I need support in the build service for i386 binaries to build i386 binaries because without it I cannot build i386 binaries.


#48

@dies anyone can manually build an x86 snap locally, or use launchpad to build an x86 (and numerous other architectures)…

Screenshot from 2017-09-18 22-43-03

By default build.snapcraft.io builds x86_64 (ok @ikey ? :wink: ) and armhf binaries, but not x86 binaries/packages. As an easy to use tool to get started building snaps, this is appropriate. More advanced users, who require more diverse architectures can use launchpad directly, or build on their own hardware.

Within the team we have discussed this on numerous occasions. It was a conscious decision to omit x86 due to perceived lack of demand and limited available resources (a builder doing an x86 install is taking resources from a package needing an x86_64 build). I think it’s valuable for us to have the discussion regularly to consider whether build.snapcraft.io should revise the default architectures.

@evan ^


#49

We do plan on supporting i386 on https://build.snapcraft.io (#819) once developers can specify the set of architectures their software can build on.


#50

EDIT: system info shorten as Ads20000 requested, thanks.

Gimp stop working:

$ gimp
udev_enumerate_scan failed

Versions:
$ snap --version
snap 2.28.1
snapd 2.28.1
series 16
ubuntu 16.04
kernel 4.4.0-97-generic

$ snap info gimp
name:      gimp
summary:   GNU Image Manipulation Program
publisher: snapcrafters
description: |
  Whether you are a graphic designer, photographer, illustrator, or scientist,
  GIMP provides you with sophisticated tools to get your job done. You can
  further enhance your productivity with GIMP thanks to many customization
  options and 3rd party plugins.
snap-id: KDHYbyuzZukmLhiogKiUksByRhXD2gYV
commands:
  - gimp
tracking:    stable
installed:   2.8.22 (25) 141MB -
refreshed:   2017-09-12 15:41:22 -0500 CDT
channels:                
  stable:    2.8.22 (25) 141MB -
  candidate: 2.8.22 (25) 141MB -
  beta:      2.8.22 (25) 141MB -
  edge:      2.8.22 (25) 141MB -

Weird udev_enumerate error
#51

You’d just want snap version and snap info gimp.


#52

I tried several times with the same version of gimp from the stable channel(2.8.22 (25)) on my laptop.
It works fine even though some warnings and error messages popup at startup.

$ snap version
snap 2.28.1
snapd 2.28.1
series 16
ubuntu 16.04
kernel 4.4.0-96-generic
$ /snap/bin/gimp
Gtk-Message: Failed to load module "overlay-scrollbar"
Gtk-Message: Failed to load module "gail"
Gtk-Message: Failed to load module "atk-bridge"
Gtk-Message: Failed to load module “canberra-gtk-module”

But looks like you’re not the first person to hit this problem. It’s bit weird.


#53

The udev_enumerate_scan issue should be fixed in the 2.28.4 upload to beta yesterday. (ie, sudo snap refresh core --beta).


#54

The udev_enumerate_scan failed error should be fixed in the beta channel. A snap refresh --beta core should make things work again.


#55

Gimp.snap does not recognize system language, it is only for english, not spanish or others.
Linuxmint 18.2 Cinnamon 3.4
64 bits


#56

Could you update it please?


#57

Yes I am well aware that 2.10.0 is out. It is not simply a case of “updat[ing] it”.


#58

@sergiusens is on it, apparently :slight_smile:


#59

Gimp stopped working for me today. Same problem that this:


#60

What happens if you use snap revert gimp or snap install gimp --revision=32? actually this doesn’t help because it wasn’t refreshed recently, what could have broken this?! There’s been no recent core refresh either?! Actually I was wrong, a the core update from 2.32.4 (4452) to 2.32.5 (4486) broke GIMP. Wrong again, it was a bug in the GIMP snap.


#61

On Ubuntu 18.04, fresh installation, the theme integration doesn’t work for me:

▶ snap info gimp
name:      gimp
summary:   GNU Image Manipulation Program
publisher: snapcrafters
contact:   https://github.com/snapcrafters/gimp/issues
license:   unknown
description: |
  Whether you are a graphic designer, photographer, illustrator, or scientist,
  GIMP provides you with sophisticated tools to get your job done. You can
  further enhance your productivity with GIMP thanks to many customization
  options and 3rd party plugins.
commands:
  - gimp
snap-id:   KDHYbyuzZukmLhiogKiUksByRhXD2gYV
tracking:  stable
refreshed: 2017-12-11T17:39:25+01:00
installed:   2.8.22 (30) 142MB -
channels:                
  stable:    2.8.22 (30) 142MB -
  candidate: 2.8.22 (30) 142MB -
  beta:      2.8.22 (30) 142MB -
  edge:      2.8.22 (33) 151MB -


#62

progress on 2.10.0 (getting close now - just waiting on the fixed snapcraft to be released so that I can build on the buildservice) If you have amd64 installation you can try it with snap refresh --edge gimp (or not, the upload just failed):


#63

Edge channel still on build 33 for now. Thank you for your efforts, this will be great.